/*
 * @Author: your name
 * @Date: 2022-01-12 15:29:56
 * @LastEditTime: 2022-01-24 14:41:08
 * @LastEditors: Please set LastEditors
 * @Description: CAD图纸核查管理
 * @FilePath: \adm-frontend\src\controller\cadDarwingController.ts
 */
import { baseHttpUtils } from "@/utils/http/baseHttpUtils";
import { customHttpUtils } from '@/utils/http/customHttpUtils'
import { admServerHttpUtils } from '@/utils/http/admServerHttpUtils'
import { logicConfig } from "@/logicConfig";
export default class cadDarwingController {
    static baseUril = (window as any).__systemConf.baseServiceUrl;
    static http = new baseHttpUtils();
    static customHttp = new customHttpUtils()
    static admService = new admServerHttpUtils()

    /**
     * @description: 查询文件列表接口
     * @param {*}
     * @return {*}
     */    
    static async queryFileList (params={}) {
        try {
            const res = await this.admService.postRequest('/adm/adm-file/queryCadFiles', params);
            return res
        } catch (error) {
            
        } 
    }
    /**
     * @description: 删除文件接口
     * @param {*}
     * @return {*}
     */    
    static async delFile(params) {
        try {
            const res = await this.admService.postRequest('/adm/adm-file/delete?id=' + params.id, params);
            return res
        } catch (error) {
            
        }
    }
    static async addFile(params) {
        const res = await this.admService.postRequest('/adm/adm-file/saveCadFileInfo', params);
        return res
    }
}